//+----------------------------------------------------------------------+
//|                                                  ExpertOOZigZag.mq5  |
//|                   Copyright  2013, Laplacianlab - Jordi Bassagaas  | 
//+----------------------------------------------------------------------+
#include <..\Include\Indicators\Custom\Trend.mqh>
//---   
#property copyright     "Copyright  2013, Laplacianlab - Jordi Bassagaas"
#property link          "http://www.mql5.com/ru/articles"
#property version       "1.00"
#property description   "         -    ZigZag."
//---    
input ENUM_TIMEFRAMES   EAPeriod=PERIOD_H1;
input string            CurrencyPair="EURUSD";
//---  
CiZigZag *ciZigZag;
//+------------------------------------------------------------------+
//|                                     |
//+------------------------------------------------------------------+
int OnInit()
  {
   ciZigZag=new CiZigZag;
   ciZigZag.Create(CurrencyPair,EAPeriod,12,5,3);
   return(0);
  }
//+------------------------------------------------------------------+
//|                                   |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
   delete(ciZigZag);
  }
//+------------------------------------------------------------------+
//|                                           |
//+------------------------------------------------------------------+
void OnTick()
  {   
   //---  
   ciZigZag.Refresh();
   //---  
   if(ciZigZag.ZigZag(0)!=0) Print("OO ZigZag buffer(0): ", ciZigZag.ZigZag(0));
   if(ciZigZag.High(0)!=0) Print("OO ZigZag high(0): ", ciZigZag.High(0));
   if(ciZigZag.Low(0)!=0) Print("OO ZigZag low(0): ",ciZigZag.Low(0));
  }
//+------------------------------------------------------------------+
